com.google.web.bindery.requestfactory.shared.messages

## Interface InvocationMessage

-     public interface InvocationMessage

  Describes a method invocation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OPERATIONS`
    `static java.lang.String` | `PARAMETERS`
    `static java.lang.String` | `PROPERTY_REFS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOperation()`
    `java.util.List<Splittable>` | `getParameters()`
    `java.util.Set<java.lang.String>` | `getPropertyRefs()`
    `void` | `setOperation(java.lang.String value)`
    `void` | `setParameters(java.util.List<Splittable> value)`
    `void` | `setPropertyRefs(java.util.Set<java.lang.String> value)`

- - ### Field Detail

    - #### OPERATIONS

          static final java.lang.String OPERATIONS

      See Also:
        Constant Field Values

    - #### PARAMETERS

          static final java.lang.String PARAMETERS

      See Also:
        Constant Field Values

    - #### PROPERTY_REFS

          static final java.lang.String PROPERTY_REFS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOperation

          @AutoBean.PropertyName(value="O")
          java.lang.String getOperation()

    - #### getParameters

          @AutoBean.PropertyName(value="P")
          java.util.List<Splittable> getParameters()

    - #### getPropertyRefs

          @AutoBean.PropertyName(value="R")
          java.util.Set<java.lang.String> getPropertyRefs()

    - #### setOperation

          @AutoBean.PropertyName(value="O")
          void setOperation(java.lang.String value)

    - #### setParameters

          @AutoBean.PropertyName(value="P")
          void setParameters(java.util.List<Splittable> value)

    - #### setPropertyRefs

          @AutoBean.PropertyName(value="R")
          void setPropertyRefs(java.util.Set<java.lang.String> value)